package com.realnet.taxi_rental.Services;
import com.realnet.taxi_rental.Repository.GuestuserRepository;
import com.realnet.taxi_rental.Entity.Guestuser
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;














	import org.springframework.stereotype.Service;

@Service
 public class GuestuserService {
@Autowired
private GuestuserRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;













public Guestuser Savedata(Guestuser data) {














	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Guestuser save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Guestuser> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Guestuser> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Guestuser> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Guestuser getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Guestuser update(Guestuser data,Integer id) {
	Guestuser old = Repository.findById(id).get();
old.setFullname(data.getFullname());

old.setActive (data.getActive());

old.setMacaddress(data.getMacaddress());

old.setEmail(data.getEmail());

old.setMob_no(data.getMob_no());

old.setDateofbirth(data.getDateofbirth());

old.setDriving_license_no(data.getDriving_license_no());

final Guestuser test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 














 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
